Bug 536292 - (RHQ-658) (Re)start of RHQ server through operation fails
(Re)start of RHQ server through operation fails
Status: NEW
Product: RHQ Project
Classification: Other
Component: Operations, Core Server, Plugins (Show other bugs)
1.1,4.11
All All
low Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-09 09:02 EDT by Heiko W. Rupp
Modified: 2014-05-14 10:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2008-07-09 09:02:00 EDT
start and restart operation fail as the  standard start scripts are bin/run.sh / bin/run.bat. 
Those do not set the variables needed for correct startup of the server.

We should either disallow that operation or fix the scripts to point to rhq-server.sh

Comment 1 Greg Hinkle 2008-07-29 21:31:28 EDT
Not for this release.
Comment 2 Corey Welton 2009-03-31 22:39:17 EDT
This is especially dangerous with group ops!  Consider a scenario where you have a bunch of platforms with bunch of JBoss Instances on them, interspersed with RHQ servers.  If you willy-nilly create a group of all JBoss instances, the RHQ servers will get listed in there.  Then, when you do a mass restart op, you've fried your RHQ servers.
Comment 3 Red Hat Bugzilla 2009-11-10 16:14:10 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-658
This bug is duplicated by RHQ-877
This bug is duplicated by RHQ-876
Comment 4 Jay Shaughnessy 2014-05-14 10:44:29 EDT
Lots of changes over the years, but this still is not working.  Changing to latest version and resetting priority/severity.

Note You need to log in before you can comment on or make changes to this bug.